Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZGroupNoShow Class Reference

## Public Member Functions
| __construct ( $id=-1, $fetch=true)
| store ()
| delete ()
| get ( $id=-1)
| getAll ()
| groupEntry ( $groupID)
| dumpTable ()
| id ()
| groupID ()
| setGroup ( $group)
| dbInit ()

## Public Attributes
| $Database
| $IsConnected
| $ID
| $GroupID
| $State_

## Detailed Description

! eZEventCalendar eZGroupEventType handles appointment types.

Definition at line 33 of file ezgroupnoshow.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZGroupNoShow::__construct | ( |  | $id = `-1`,
|  |  | $fetch = `true`
| ) |  |

Constructs a new eZGroupNoShow object.

If $id is set the object's values are fetched from the database.

Definition at line 41 of file ezgroupnoshow.php.

References $id, and $ID.

## Member Function Documentation

## ◆ dbInit()

eZGroupNoShow::dbInit | ( |  | ) |

Private function. Open the database for read and write. Gets all the database information from site.ini.

Definition at line 209 of file ezgroupnoshow.php.

References eZDB\globalDatabase().

Referenced by delete(), get(), getAll(), groupEntry(), and store().

## ◆ delete()

eZGroupNoShow::delete | ( |  | ) |

Deletes a eZGroupNoShow object from the database.

Definition at line 90 of file ezgroupnoshow.php.

References dbInit().

## ◆ dumpTable()

eZGroupNoShow::dumpTable | ( |  | ) |

Clears the entire table

Definition at line 165 of file ezgroupnoshow.php.

References $group, $groups, and getAll().

## ◆ get()

eZGroupNoShow::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 105 of file ezgroupnoshow.php.

References $group_array, $id, and dbInit().

## ◆ getAll()

eZGroupNoShow::getAll | ( |  | ) |

Definition at line 125 of file ezgroupnoshow.php.

References $group_array, $i, and dbInit().

Referenced by dumpTable().

## ◆ groupEntry()

eZGroupNoShow::groupEntry | ( |  | $groupID | ) |

Returns true if an entry exists in the database false if not

Definition at line 148 of file ezgroupnoshow.php.

References $group_array, and dbInit().

## ◆ groupID()

eZGroupNoShow::groupID | ( |  | ) |

Returns the group ID of the group not to show.

Definition at line 186 of file ezgroupnoshow.php.

References $GroupID.

## ◆ id()

eZGroupNoShow::id | ( |  | ) |

Returns the object ID to the event. This is the unique ID stored in the database.

Definition at line 178 of file ezgroupnoshow.php.

References $ID.

## ◆ setGroup()

eZGroupNoShow::setGroup | ( |  | $group | ) |

Sets the Group not to show.

Definition at line 194 of file ezgroupnoshow.php.

References $group, and $ID.

## ◆ store()

eZGroupNoShow::store | ( |  | ) |

Stores a eZGroupNoShow object to the database.

Definition at line 65 of file ezgroupnoshow.php.

References dbInit().

## Member Data Documentation

## ◆ $Database

eZGroupNoShow::$Database

Definition at line 218 of file ezgroupnoshow.php.

## ◆ $GroupID

eZGroupNoShow::$GroupID

Definition at line 221 of file ezgroupnoshow.php.

Referenced by groupID().

## ◆ $ID

eZGroupNoShow::$ID

Definition at line 220 of file ezgroupnoshow.php.

Referenced by __construct(), id(), and setGroup().

## ◆ $IsConnected

eZGroupNoShow::$IsConnected

Definition at line 219 of file ezgroupnoshow.php.

## ◆ $State_

eZGroupNoShow::$State_

Definition at line 222 of file ezgroupnoshow.php.

The documentation for this class was generated from the following file:

- ezgroupnoshow.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.